---
title: "Report new values for machine attributes."
slug: "report-new-values-for-machine-attributes"
updated: 2026-04-02T17:37:08Z
published: 2026-04-02T17:37:27Z
canonical: "support.tulip.co/report-new-values-for-machine-attributes"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.tulip.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Report new values for machine attributes.

Post/attributes/report

Report new values for API machine attributes. All attribute IDs must be associated with their respective machines. A value must be congruent with the attribute's associated type. No attributes are processed if any of them fail validation.

Requires the `attributes:write` API key scope.

SecurityHTTPType basic

Access to the Tulip API requires the use of [HTTP Basic Authentication](https://datatracker.ietf.org/doc/html/rfc7617) using the credentials of an active [Tulip API Token](https://support.tulip.co/docs/set-up-a-tulip-api). All requests require the `Authorization` HTTP header with the `Basic` scheme to provide API credentials unless otherwise noted.

API tokens can be configured with a set of *scopes* which determine what parts of the API that specific token has access to. Security best practices dictate that API credentials be given the minimum set of capabilities required to fulfill their intended purpose. For example, an API token created for use in an integration that is only designed to use the Tables API should probably only be given the `tables:read` and `tables:write` scopes. In this way you can minimize risk in the event that API credentials are compromised. API endpoints will document what API token scopes are required to access that endpoint in their descriptions. If a request is made to an endpoint with an API token which does not have the required scopes, the response will be an authorization error.

Body parameters

Attributes to report.

<select class='api-response-data' aria-label='Media type'><option value='b7d2e8ab-555f-45e2-b09f-d35615ebb4a3'>application/json</option>
</select>Expand Allobject  attributes Array of object   

Machine attribute values to report for processing.

object  machineIdstring    Required
attributeIdstring    Required
value

Value to submit. The value's type must be congruent with the attribute type. Incorrect typing will generate a 422 response.

Examplesame data type as the respective attributeOneOfstringstring
booleanboolean
numbernumber

Responses204

Attributes were successfully reported.

400

The request was malformed. This could mean that headers, query parameters, or the request body was unable to be parsed or had unexpected values.

<select class='api-response-data' aria-label='Media type'><option value='8a0b9189-0fed-400f-a4da-af19cf0b19fe'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

422

The request was syntactically sound, but could not be processed due to a logical problem.

<select class='api-response-data' aria-label='Media type'><option value='c7f232c6-e455-4b6f-809b-2049d265b05b'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring    

500

The server encountered an unexpected error.

<select class='api-response-data' aria-label='Media type'><option value='7086e12a-4b52-4d40-959b-d765fa3667d0'>application/json</option>
</select>object  errorCodestring    
errorUniqueIDstring    Pattern^[a-zA-Z0-9+/]+$Exampleaq21mSKC1rbO87TjC/4Hz2EJHd/v+jxf7MtC315vo0Y
detailsstring
